Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is idle

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Dec 2021 21:42:21 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 13 Dec 2021 20:50:36 +0200
> 
> > Isn't there some Lisp-visible effect of that, like that the echo-area
> > will appear empty after the assignment?  If so, then the
> > clear-message-function was previously running with the echo-area
> > buffer nil, but now it won't.
> 
> clear-message-function is not intended to do anything with the echo-area.
> Its purpose is to notify a subscriber that the message is going to be cleared,
> so the subscriber can e.g. clear the message from the minibuffer, etc.
> When the subscriber needs to affect the echo-area, it's the purpose
> of the proposed return value not to clear the echo-area when the subscriber
> asks so via the return value.

So there will be some effect of this reordering, if some
clear-message-function does something that you say it shouldn't.

> > I gave an example of how using this for that purpose could be a
> > problem, and you responded only to that example.  But the problem that
> > bothers me is much more general, and you are silent about that larger
> > problem.
> >
> > I'm asking once again: aren't we trying to use echo-area messages or
> > minibuffer messages displayed in the mini-window for a job that they
> > weren't intended to do: showing large amounts of messages at the same
> > time?
> 
> Sorry, I still don't understand what do you mean.  What large amounts
> of messages?  At what the same time?  This is completely unclear.
> Maybe if you give an example, this could help to understand.

This whole discussion started from a request to be able to accumulate
messages in the echo-area so that the user who is away could see them
all when he/she comes back from whatever took him/her away.  There
could be quite a lot of messages accumulated during that period, and
the request was to leave them all on display.  For which you proposed
to use clear-message-function in a way that doesn't actually clear
them.

Is the above an accurate description and summary of what is being
proposed here?  If so, is it now clear what kind of job I think
display of echo-area messages was never designed to support?